Overlay:kde-sunset

From Gentoo Wiki
Jump to:navigation Jump to:search
Resources

Contents

The kde-sunset overlay contains old KDE-related packages that have been removed from the main Gentoo tree. These packages include:

  • Qt1 (historical copy adapted to compile on modern systems)
  • KDE 1 base applications (adapted to compile on modern systems)
  • KDE SC 4.14.3
  • KDE Plasma 4
  • Plasmoids for KDE Plasma 4
  • KDELibs 4 related software

Status

Warning
Major parts of the overlay such as Plasma 4 depend on dev-qt/qtwebkit SLOT 4 which is not only riddled with security holes but also does not build on a modern system. Any sustainable conservation effort should go into trying to remove this dependency from all packages.

The packages in the overlay are completely unsupported by upstream and may contain security vulnerabilities or break without warning. The overlay itself has no dedicated maintainer so there is no guarantee that it is in a consistent state at any given time.

If you wish to modify the overlay, contact the Proxy Maintainers project for one-off changes. If you are interested in co-maintaining it, file a bug asking for commit access.

Installation

As it does not have an active maintainer, the kde-sunset overlay is no longer available in layman and must be added via app-eselect/eselect-repository or manually:

root #eselect repository add kde-sunset git git://anongit.gentoo.org/proj/kde-sunset.git

or

FILE /etc/portage/repos.conf/kde-sunset.conf
[kde-sunset]
location = /usr/local/overlay/kde-sunset
sync-type = git
sync-uri =  git://anongit.gentoo.org/proj/kde-sunset.git
auto-sync = yes

See also